Ardour 2.1 uses "FFADO" but I want freebob. How?

2 replies [Last post]
Steele
Steele's picture
User offline. Last seen 1 year 34 weeks ago. Offline
Joined: 2007-02-12
Posts:

Hello,

I recently installed Ardour 2.1 in UbuntuStudio through a package from the http://www.musix.org.ar/ deb repository.

I'm looking really forward to the own JACK Interace. But it only let me choose the "ffado" driver. As you folks know ffado is not stable so I'm here with my freebob driver.

Where can I change the driver to choose? Do I have to recompile something? My JACK is the newest stable release, build with freebob (1.03) support.

Additionally to that: As you know, there are no releases of ffado. And the SVN Code:#
"Note that using FFADO from SVN is highly experimental, and it is not working at the moment. This information is not out of date. Please stay away from the development repository unless you plan to code."

Why suggests Ardour2 to use FFADO anyway. Do you suggest, that I should compile FFADO from SVN anyway?

lincoln
User offline. Last seen 2 years 20 weeks ago. Offline
Joined: 2007-04-03
Posts:

Steele,

I posted a patch on mantis yesterday to address this, you will need to recompile ardour.

Lincoln

Steele
Steele's picture
User offline. Last seen 1 year 34 weeks ago. Offline
Joined: 2007-02-12
Posts:

So I have to make an SVN Checkout?